summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-06-09 14:50:51 +0200
committerJeroen Roovers <jer@gentoo.org>2016-06-09 14:51:11 +0200
commit54302103d89b42d207c50407dc0ccbb20515cf4b (patch)
tree81aea7cbd3e8cd1d384628818f3a446b56d32b0f /sci-electronics/gerbv/gerbv-2.6.1.ebuild
parentdev-libs/svrcore: Bump #583780 (diff)
downloadgentoo-54302103d89b42d207c50407dc0ccbb20515cf4b.tar.gz
gentoo-54302103d89b42d207c50407dc0ccbb20515cf4b.tar.bz2
gentoo-54302103d89b42d207c50407dc0ccbb20515cf4b.zip
sci-electronics/gerbv: Version bump.
Package-Manager: portage-2.3.0_rc1
Diffstat (limited to 'sci-electronics/gerbv/gerbv-2.6.1.ebuild')
-rw-r--r--sci-electronics/gerbv/gerbv-2.6.1.ebuild66
1 files changed, 66 insertions, 0 deletions
diff --git a/sci-electronics/gerbv/gerbv-2.6.1.ebuild b/sci-electronics/gerbv/gerbv-2.6.1.ebuild
new file mode 100644
index 00000000000..056c74e4010
--- /dev/null
+++ b/sci-electronics/gerbv/gerbv-2.6.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+inherit autotools eutils fdo-mime
+
+DESCRIPTION="A RS-274X (Gerber) and NC drill (Excellon) file viewer"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+HOMEPAGE="http://gerbv.geda-project.org/"
+
+IUSE="doc examples static-libs unit-mm"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~ppc ~x86"
+RESTRICT="test"
+
+RDEPEND="
+ x11-libs/gtk+:2
+ x11-libs/cairo"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ # No Russian translation shipped
+ echo > po/LINGUAS || die
+ eapply "${FILESDIR}"/${P}-ru.patch
+
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ $(use_enable unit-mm) \
+ --disable-update-desktop-database
+}
+
+src_install () {
+ default
+
+ dodoc AUTHORS BUGS ChangeLog CONTRIBUTORS HACKING NEWS README* TODO
+
+ rm doc/Doxyfile.nopreprocessing
+ if use doc; then
+ find doc -name "Makefile*" -exec rm -f '{}' \;
+ dodoc -r doc/*
+ fi
+
+ if use examples; then
+ find example -name "Makefile*" -exec rm -f '{}' \;
+ dodoc -r example/*
+ fi
+
+ prune_libtool_files
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}